## org.apache.mahout.math.function
Interface UnaryFunction

All Superinterfaces:
  org.apache.mahout.math.function.DoubleFunction

All Known Implementing Classes:
  AbstractContinousDistribution, AbstractDiscreteDistribution, AbstractDistribution, Beta, Binomial, BreitWigner, BreitWignerMeanSquare, ChiSquare, Empirical, EmpiricalWalker, Exponential, ExponentialPower, Gamma, Hyperbolic, HyperGeometric, Logarithmic, MersenneTwister, Mult, NegativeBinomial, Normal, Poisson, PoissonSlow, RandomEngine, SquareRootFunction, StudentT, Uniform, VonMises, Zeta

    public interface UnaryFunction

extends org.apache.mahout.math.function.DoubleFunction

This interface allows the formulation of unary functions to be applied to matrices inside the inner loops of their implementations.

Method Summary

Methods inherited from interface org.apache.mahout.math.function.DoubleFunction
`apply`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.